Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener Member List

This is the complete list of members for eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener, including all inherited members.

$authorizationChecker | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener | protected
$configResolver | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener | protected
$eventDispatcher | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener | protected
$fragmentPath | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener | protected
$repository | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener | protected
$tokenStorage | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener | protected
__construct(Repository $repository, ConfigResolverInterface $configResolver, EventDispatcherInterface $eventDispatcher, TokenStorageInterface $tokenStorage, AuthorizationCheckerInterface $authorizationChecker, $fragmentPath='/_fragment') | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener |
checkSiteAccessPermission(BaseInteractiveLoginEvent $event) | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener |
getSubscribedEvents() | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener | static
getUser(UserInterface $originalUser, APIUser $apiUser) | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener | protected
hasAccess(SiteAccess $siteAccess) | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener | protected
isMasterRequest(Request $request, $requestType) | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener | private
onInteractiveLogin(BaseInteractiveLoginEvent $event) | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener |
onKernelRequest(GetResponseEvent $event) | eZ\Publish\Core\MVC\Symfony\Security\EventListener\SecurityListener |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.